Bug 1662535 - AMD's GPU is Slower than Intel's One
Summary: AMD's GPU is Slower than Intel's One
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-29 14:55 UTC by ali.sherif10
Modified: 2019-11-27 22:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:51:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 109171 0 None None None 2018-12-29 14:55:09 UTC
Mozilla Foundation 1383563 0 P3 UNCONFIRMED scrolling lag only when gpu in idle state 2020-01-08 12:44:09 UTC

Description ali.sherif10 2018-12-29 14:55:10 UTC
Description of problem:
With vblank_mode=0, Intel's GPU is faster than AMD's one.

How reproducible:
Always.

Actual results:
AMD's discrete GPU is slower than Intel's GPU.

Expected results:
AMD's discrete GPU is faster than Intel's GPU.

Additional info:
Not using vblank_mode=0 keeps glxgears at about ~60 FPS. 

Laptop: HP Pavilion g6.
AMD's GPU: Radeon HD 7670M.
OS: 64-bit Linux (Fedora 29 KDE Spin).

Comment 1 ali.sherif10 2018-12-29 17:15:13 UTC
I added this bug in Firefox, because I get lag, after force-enabling hardware acceleration and using AMD's GPU.
I don't get lag with Inte's GPU with or without vblank_mode=0.

Comment 2 ali.sherif10 2019-01-03 13:09:19 UTC
I found that only the main GUI's slow with AMD's GPU and matches performance's much higher. With Intel's GPU, main GUI's faster than matches.

Comment 3 Ben Cotton 2019-10-31 19:08:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 22:51:34 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.